[Setup]
AppName=Sistema de Acompanhamento e Controle dos
AppVerName=Sistema de Acompanhamento e Controle dos 20.24.8
AppVersion=20.24.8
AppCopyright=(C)2024 Federao das Associaes de Atletas Profissionais
DefaultDirName=FAAP - Fed das Assoc de Atletas Profissionais - 2023
DefaultGroupName=Pleito - AGAP - 2023
OutputDir=.
OutputBaseFilename=INSTALL
WindowVisible=yes
WindowShowCaption=no
WindowStartMaximized=no
VersionInfoVersion=20.24.8
VersionInfoCompany=Federao das Associaes de Atletas Profissionais
VersionInfoTextVersion=20.24.8
VersionInfoCopyright=(C)2024 Federao das Associaes de Atletas Profissionais
VersionInfoDescription=Sistema de Acompanhamento e Controle dos
PrivilegesRequired=admin

[Languages]
Name:pb; MessagesFile: compiler:languages\BrazilianPortuguese.isl

[Files]

;Diretrio da aplicao
Source: ..\AGAP17.EXE;      DestDir: {app}; Flags: ignoreversion restartreplace
Source: ..\AGAP17.XML;      DestDir: {app}; Flags: ignoreversion restartreplace
Source: ..\Help\AGAP17.CHM; DestDir: {app}; Flags: ignoreversion restartreplace
Source: ..\AGAP17.RES;      DestDir: {app}; Flags: ignoreversion restartreplace
Source: ..\ADAPTA.EXE;       DestDir: {app}; Flags: ignoreversion restartreplace
Source: ..\FAAP2024-MYSQL.SQL; DestDir: {app}; Flags: ignoreversion restartreplace

;VB runtime
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\STDOLE2.TLB;  DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile regtypelib
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\MSVBVM60.DLL; DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\OLEAUT32.DLL; DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\OLEPRO32.DLL; DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\ASYCFILT.DLL; DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\VBRunTime\COMCAT.DLL;   DestDir: {sys}; OnlyBelowVersion: 0,6; Flags: uninsneveruninstall sharedfile regserver

;ActiveX comuns/Componentes auxiliares
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\MSCOMCTL.OCX;  DestDir: {sys}; Flags: sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\MSSTDFMT.DLL;  DestDir: {sys}; Flags: sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\TABCTL32.OCX;  DestDir: {sys}; Flags: sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\EZTW32.DLL;   DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\IJL10.dll;     DestDir: {sys}; Flags: sharedfile
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\MSVCRT.dll;    DestDir: {sys}; Flags: uninsneveruninstall onlyifdoesntexist sharedfile

;Winsock 2
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\MSWINSCK.OCX; DestDir: {sys}; Flags: uninsneveruninstall onlyifdoesntexist sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Common\MSMAPI32.OCX;   DestDir: {sys}; Flags: uninsneveruninstall sharedfile regserver

;Controles para grficos
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Graph\GRAPH32.OCX;  DestDir: {sys}; Flags: sharedfile regserver
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Graph\GSWDLL32.DLL; DestDir: {sys}; Flags: sharedfile
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Graph\GSWAG32.DLL;  DestDir: {sys}; Flags: sharedfile
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Graph\GSW32.EXE;    DestDir: {sys}; Flags: sharedfile

;DAO Component
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\Dao\DAO360.DLL;        DestDir: {dao}; OnlyBelowVersion: 0,6; Flags: restartreplace uninsneveruninstall sharedfile regserver

;MDAC Components
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\MDAC\MDAC_TYP_2_7_SP1.EXE;  DestDir: {tmp}; OnlyBelowVersion: 0,6; Flags: deleteafterinstall
Source: C:\Program Files\SSI Tecnologia\FatherNext\Redist\MDAC\MDAC_TYP_2_8_SP1.EXE;  DestDir: {tmp}; OnlyBelowVersion: 0,6; Flags: deleteafterinstall

[Icons]
Name: {group}\Desinstalar; Filename: {uninstallexe}
Name: {group}\Sistema de Acompanhamento e Controle dos; Filename: {app}\AGAP17.EXE;WorkingDir: {app}; IconFilename: {app}\AGAP17.EXE; IconIndex: 0
Name: {userdesktop}\Sistema de Acompanhamento e Controle dos; Filename: {app}\AGAP17.EXE;WorkingDir: {app}; IconIndex: 0; Tasks: desktopicon

[Run]
Filename: {tmp}\MDAC_TYP_2_7_SP1.EXE; Parameters: "/Q:A /C:""dasetup /Q /N"""; WorkingDir: {tmp}; Flags: skipifdoesntexist; MinVersion: 4.0,4.0; OnlyBelowVersion: 0,5.0
Filename: {tmp}\MDAC_TYP_2_8_SP1.EXE; Parameters: "/Q:A /C:""dasetup /Q /N"""; WorkingDir: {tmp}; Flags: skipifdoesntexist; MinVersion: 4.0,4.0; OnlyBelowVersion: 0,5.0
Filename: {app}\AGAP17.EXE;WorkingDir: {app}; Flags: postinstall nowait

[Tasks]
Name: desktopicon; Description: Criar um cone na rea de Trabalho (&Desktop); GroupDescription: Atalhos adicionais:

[Code]

Function CheckWindowsVersion(AllowedVersions: String): Boolean;
Var
  Version: TWindowsVersion;
  WinVersion: String;
  Minor: String;
Begin
 GetWindowsVersionEx(Version);

 If Not Version.NTPlatform Then
  Begin
   Minor := IntToStr(Version.Minor);
   SetLength(Minor, 1);
   case StrToInt(Minor) of 
    0:
     WinVersion := '95'; 
    1:
     WinVersion := '98'; 
    9:
     WinVersion := 'Me';
   End;
  End
 Else If Version.Major = 4 Then
  Begin
   WinVersion := 'NT';
  End
 Else If Version.Major = 5 Then
  Begin
   case Version.Minor of
    0:
     WinVersion := '2000';
    1:
     WinVersion := 'XP';
    2:
     WinVersion := '2003';
   End;
  End
 Else If Version.Major = 6 Then
  Begin
   case Version.Minor of
    0:
     WinVersion := 'Vista';
    1:
	 WinVersion := 'Win7';
	2:
     WinVersion := 'Win8';
    3:
     WinVersion := 'Win81';
   End;
  End
 Else If Version.Major = 10 Then
  Begin
   WinVersion := 'Win10';
  End;
  
 Result := False;

 If WinVersion <> '' Then
  Begin
   If Pos(WinVersion, AllowedVersions) > 0 Then
    Result := True;
  End;

End;

Function CheckIEVersion(AllowedVersion: Integer): Boolean;
Var
  IEVersion: String;
Begin
 Result := False;
 If RegQueryStringValue(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microsoft\Internet Explorer', 'Version', IEVersion) Then
  Begin
   SetLength(IEVersion, 1);
   If StrToInt(IEVersion) >= AllowedVersion Then
    Result := True;
  End;
End;

Function InitializeSetup():Boolean;
Var
  ErrorMessage: String;
Begin
 Result := True;

 // Check allowed windows versions
 If 'Win95,Win98,WinMe,WinNT,Win2000,WinXP,Win2003,WinVista,Win7,Win8,Win81,Win10' <> '' Then
  Result := CheckWindowsVersion('Win95,Win98,WinMe,WinNT,Win2000,WinXP,Win2003,WinVista,Win7,Win8,Win81,Win10')
 Else
  Result := True;
  
 ErrorMessage := 'Instalador no suportado para essa verso do Windows';

 // Check internet explorer version, mininum version required is 6.0 for Windows NT
 If Result Then
  Begin
   If CheckWindowsVersion('WinNT') Then
   Begin
    Result := CheckIEVersion(6);
    ErrorMessage := 'Para essa instalao  exigida a verso do Internet Explorer 6.0 ou superior instalada. A Instalao no pode continuar.';
   End;
  End;

 // Check internet explorer version, mininum version required is 5.0
 If Result Then
  Begin
   Result := CheckIEVersion(5);
   ErrorMessage := 'Para essa instalao  exigida a verso do Internet Explorer 5.0 ou superior instalada. A Instalao no pode continuar.';
  End;

 If Not Result Then
  MsgBox(ErrorMessage, mbError, MB_OK);

End;

